# Generated by Django 3.2.2 on 2021-05-17 13:39

import wagtail.blocks
import wagtail.fields
import wagtail.images.blocks
from django.db import migrations, models


class Migration(migrations.Migration):
    dependencies = [
        ("elections2021", "0021_elections2021homepage_carousel"),
    ]

    operations = [
        migrations.AddField(
            model_name="elections2021homepage",
            name="elections_date",
            field=models.DateField(blank=True, null=True, verbose_name="datum voleb"),
        ),
        migrations.AlterField(
            model_name="elections2021homepage",
            name="carousel",
            field=wagtail.fields.StreamField(
                [
                    (
                        "slide",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "title",
                                    wagtail.blocks.CharBlock(label="titulek"),
                                ),
                                (
                                    "photo",
                                    wagtail.images.blocks.ImageChooserBlock(
                                        label="fotka"
                                    ),
                                ),
                                (
                                    "button_label",
                                    wagtail.blocks.CharBlock(label="text tlačítka"),
                                ),
                                (
                                    "page",
                                    wagtail.blocks.PageChooserBlock(
                                        label="stránka do tlačítka",
                                        page_type=[
                                            "elections2021.Elections2021ArticlesPage",
                                            "elections2021.Elections2021CandidatesListPage",
                                            "elections2021.Elections2021CandidatesMapPage",
                                            "elections2021.Elections2021ProgramPage",
                                            "elections2021.Elections2021QuestionsPage",
                                            "elections2021.Elections2021ProgramAppPage",
                                            "elections2021.Elections2021TextPage",
                                            "elections2021.Elections2021StrategicListPage",
                                            "elections2021.Elections2021StrategicPage",
                                        ],
                                        required=False,
                                    ),
                                ),
                                (
                                    "raw_url",
                                    wagtail.blocks.CharBlock(
                                        label="ručně zadaný odkaz do tlačítka (místo stránky)",
                                        required=False,
                                    ),
                                ),
                            ]
                        ),
                    )
                ],
                blank=True,
                verbose_name="obsah slideru",
            ),
        ),
    ]
